/*
 * Copyright 2012 The Eventio Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.eventio.internal;

import com.googlecode.eventio.spi.StatisticsImplementor;

/**
 * This implementation of StatisticsImplementor do nothing. It's the default
 * used by Eventio.
 * 
 * @author stephane.cusin
 * 
 */
public final class NoOpStatisticsImplementor implements StatisticsImplementor {

	/**
	 * @see com.googlecode.eventio.spi.StatisticsImplementor#emit()
	 */
	@Override
	public void emit(Object event) {
		//
	}

	/**
	 * @see com.googlecode.eventio.spi.StatisticsImplementor#on(java.lang.Object)
	 */
	@Override
	public void on(Object event) {
		//
	}

	/**
	 * @see com.googlecode.eventio.spi.StatisticsImplementor#once(java.lang.Object)
	 */
	@Override
	public void once(Object event) {
		//
	}

	/**
	 * @see com.googlecode.eventio.spi.StatisticsImplementor#remove(java.lang.Object)
	 */
	@Override
	public void remove(Object event) {
		//
	}

	/**
	 * @see com.googlecode.eventio.spi.StatisticsImplementor#endReaction(boolean)
	 */
	@Override
	public void endReaction(boolean success) {
		//
	}

}
