/*
 * Copyright 2012 The Eventio Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.eventio.jmx;

import com.googlecode.eventio.stat.Statistics;

/**
 * @author stephane.cusin
 * 
 */
public class StatisticsService implements StatisticsServiceMBean {

	private final Statistics statistics;

	public StatisticsService(Statistics statistics) {
		this.statistics = statistics;
	}

	@Override
	public void clear() {
		statistics.clear();
	}

	@Override
	public long getEmitCount() {
		return statistics.getEmitCount();
	}

	@Override
	public long getOnCount() {
		return statistics.getOnCount();
	}

	@Override
	public long getOnceCount() {
		return statistics.getOnceCount();
	}

	@Override
	public long getRemovedCount() {
		return statistics.getRemovedCount();
	}

	@Override
	public long getProcessedReactionCount() {
		return statistics.getProcessedReactionCount();
	}

}
